<html lang="en">
<head>
<title>Complete - psgml</title>
<meta http-equiv="Content-Type" content="text/html">
<meta name="description" content="psgml">
<meta name="generator" content="makeinfo 4.8">
<link title="Top" rel="start" href="index.html#Top">
<link rel="up" href="Edit.html#Edit" title="Edit">
<link rel="prev" href="Insert.html#Insert" title="Insert">
<link rel="next" href="Information.html#Information" title="Information">
<link href="http://www.gnu.org/software/texinfo/" rel="generator-home" title="Texinfo Homepage">
<meta http-equiv="Content-Style-Type" content="text/css">
<style type="text/css"><!--
  pre.display { font-family:inherit }
  pre.format  { font-family:inherit }
  pre.smalldisplay { font-family:inherit; font-size:smaller }
  pre.smallformat  { font-family:inherit; font-size:smaller }
  pre.smallexample { font-size:smaller }
  pre.smalllisp    { font-size:smaller }
  span.sc    { font-variant:small-caps }
  span.roman { font-family:serif; font-weight:normal; } 
  span.sansserif { font-family:sans-serif; font-weight:normal; } 
--></style>
</head>
<body>
<div class="node">
<p>
<a name="Complete"></a>
Next:&nbsp;<a rel="next" accesskey="n" href="Information.html#Information">Information</a>,
Previous:&nbsp;<a rel="previous" accesskey="p" href="Insert.html#Insert">Insert</a>,
Up:&nbsp;<a rel="up" accesskey="u" href="Edit.html#Edit">Edit</a>
<hr>
</div>

<!-- node-name,  next,  previous,  up -->
<h3 class="section">8.2 Markup completion</h3>

<p><a name="index-M_002dTAB-89"></a><a name="index-sgml_002dcomplete-90"></a>If you are typing in markup directly, <kbd>M-TAB</kbd> will help you by
completing a tag name, an entity name or a markup declaration name.  If
you type <kbd>M-TAB</kbd> after a plain word, <code>ispell-complete-word</code>
will be invoked instead.

   <p>If you have typed (-!- marks the position of point)

<pre class="example">     &amp;At-!-
</pre>
   <p class="noindent">and type <kbd>M-TAB</kbd> (assuming you use the <samp><span class="file">ISOLat1</span></samp>
entity set) you get:

<pre class="example">     &amp;Atilde-!-
</pre>
   <!--  -->
</body></html>

